Subject: Re: bug#16439: [feature request] Highlighting of strings within Info buffers

From: Juri Linkov <[email-masked]>
Date: Tue, 21 Jan 2014 09:54:39 +0200

>>   Most optional features in Emacs are grouped into "packages".
>>
>> Should "packages" be highlighted as a string.  Of course not.
>
> Why not?  This particular example is produced from @dfn in Texinfo,
> which should emphasize its argument.  In the printed version
> "packages" is typeset in slanted typeface (and without the quotes).

It makes sense to emphasize either 1) using quotes and no additional
highlighting or 2) using italic without the quotes, but not both styles
(italic and quotes) at the same time.

>> There is no additional emphasis on quotations in books.
>
> But we are not talking about books, are we?  We are talking about Info
> manuals, which are mostly documentation of software.

Ideally, the look of on-line documentation should not differ from
the printed version.  How this could be achieved is a difficult
question.  In the comments of http://esr.ibiblio.org/?p=5211
someone suggested using Markdown for Emacs documentation,
but ESR strongly disagreed.  Maybe using the natively
supported Org format would be better.

But actually I see no much need in replacing Texinfo as the source format.
As for the output format, we could try to migrate in the direction of HTML.
However, HTML has its own problems (no index, slow rendering, etc.)